-- File: createdb.sql
-- Author: Gioele Stragliotto
-- Email: g.stragliotto@milkeyway.net
--
-- Description:
-- This is a vAuthenticate based script for creating and filling the DB 
-- used by Milkeyway.
-- It inserts some basic records needed by the system to work.An admin and 
-- a test account are created too.

--
-- Table structure for table `authteam`
--

DROP TABLE IF EXISTS authteam ; 
CREATE TABLE authteam (
  id int(4) NOT NULL auto_increment,
  teamname varchar(25) NOT NULL default '',
  teamlead varchar(25) NOT NULL default '',
  status varchar(10) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY teamname (teamname,teamlead)
) TYPE=MyISAM;

--
-- Dumping data for table `authteam`
--

INSERT INTO authteam VALUES (1, 'Ungrouped', 'sa', 'active');
INSERT INTO authteam VALUES (2, 'Admin', 'sa', 'active');
INSERT INTO authteam VALUES (3, 'Temporary', 'sa', 'active');

--------------------------------------------------------

--
-- Table structure for table `authuser`
--
 
DROP TABLE IF EXISTS authuser  ;
CREATE TABLE authuser (
  id int(11) NOT NULL auto_increment,
  uname varchar(25) NOT NULL default '',
  passwd varchar(32) NOT NULL default '',
  team varchar(25) NOT NULL default '',
  level int(4) NOT NULL default '0',
  status varchar(10) NOT NULL default '',
  lastloginDate date default NULL,
  lastloginTime time default NULL,
  logincount int(11) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



DROP TABLE IF EXISTS userData;
CREATE TABLE userData (
  id int(11) NOT NULL auto_increment,
  userId int (11) NOT NULL default '',
  macAddress varchar (17) NOT NULL default '',
  ipAddress varchar(15) NOT NULL default '',
  loginStartDate date default NULL,
  loginStartTime time default NULL,
  loginEndDate date default NULL,
  loginEndTime time default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;


 
-- Create admin and test account
INSERT INTO authuser VALUES (1, 'sa', '9df3b01c60df20d13843841ff0d4482c', 'Admin', 1, 'active', '2003-04-04',' 10:59:36', 0);
INSERT INTO authuser VALUES (3, 'test', '9df3b01c60df20d13843841ff0d4482c', 'Temporary', 999, 'active', '2003-04-03',' 00:00:34', 0);


 
--
-- Table structure for table `config`
--

CREATE TABLE `config` (
  `name` varchar(255) NOT NULL default '',
  `value` varchar(255) NOT NULL default '',
  UNIQUE KEY `name` (`name`)
) TYPE=MyISAM;

--
-- Dumping data for table `config`
--

INSERT INTO `config` VALUES ('lastTimestamp','1140555828.508');
INSERT INTO `config` VALUES ('lastCleanUp','2005-12-02');
INSERT INTO `config` VALUES ('defaultindexOrderBy','date');
INSERT INTO `config` VALUES ('defaultindexOrderMethod','DESC');
INSERT INTO `config` VALUES ('lastImportedRecordsNumber','1');
INSERT INTO `config` VALUES ('defaultDateTimeOrderBy','time');
INSERT INTO `config` VALUES ('defaultindexByteUnit','M');
INSERT INTO `config` VALUES ('defaultIPSummaryOrderBy','cachePercent');
INSERT INTO `config` VALUES ('defaultIPSummaryOrderMethod','DESC');
INSERT INTO `config` VALUES ('defaultIPSummaryByteUnit','M');
INSERT INTO `config` VALUES ('defaultIPSitesSummaryOrderBy','bytes');
INSERT INTO `config` VALUES ('defaultIPSitesSummaryOrderMethod','DESC');
INSERT INTO `config` VALUES ('defaultIPSitesSummaryByteUnit','M');
INSERT INTO `config` VALUES ('defaultDateTimeOrderMethod','DESC');
INSERT INTO `config` VALUES ('defaultAllSitesOrderBy','cachePercent');
INSERT INTO `config` VALUES ('defaultAllSitesOrderMethod','DESC');
INSERT INTO `config` VALUES ('defaultAllSitesByteUnit','M');
INSERT INTO `config` VALUES ('defaultDateTimeByteUnit','K');
INSERT INTO `config` VALUES ('defaultSiteUsersOrderBy','bytes');
INSERT INTO `config` VALUES ('defaultSiteUsersOrderMethod','DESC');
INSERT INTO `config` VALUES ('defaultSiteUsersByteUnit','M');
INSERT INTO `config` VALUES ('keepHistoryDays','32');
INSERT INTO `config` VALUES ('squidLogPath','/var/log/squid/access.log');
INSERT INTO `config` VALUES ('schemaVersion','2');
INSERT INTO `config` VALUES ('resolveClients','enabled');
INSERT INTO `config` VALUES ('mysarImporter','enabled');

--
-- Table structure for table `hostnames`
--

CREATE TABLE `hostnames` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `ip` int(10) unsigned NOT NULL default '0',
  `description` varchar(50) NOT NULL default '',
  `isResolved` tinyint(3) unsigned NOT NULL default '0',
  `hostname` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `isResolved` (`isResolved`)
) TYPE=MyISAM;


--
-- Table structure for table `sites`
--

CREATE TABLE `sites` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `date` date NOT NULL default '0000-00-00',
  `site` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `date_site` (`date`,`site`)
) TYPE=MyISAM;

--
-- Table structure for table `traffic`
--

CREATE TABLE `traffic` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `date` date NOT NULL default '0000-00-00',
  `time` time NOT NULL default '00:00:00',
  `ip` int(10) unsigned NOT NULL default '0',
  `resultCode` varchar(50) NOT NULL default '',
  `bytes` bigint(20) unsigned NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  `authuser` varchar(30) NOT NULL default '',
  `sitesID` bigint(20) unsigned NOT NULL default '0',
  `usersID` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `date_ip_sitesID_usersID` (`date`,`ip`,`sitesID`,`usersID`)
) TYPE=MyISAM;


--
-- Table structure for table `trafficSummaries`
--

CREATE TABLE `trafficSummaries` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `date` date NOT NULL default '0000-00-00',
  `ip` int(10) unsigned NOT NULL default '0',
  `usersID` bigint(20) unsigned NOT NULL default '0',
  `inCache` bigint(20) unsigned NOT NULL default '0',
  `outCache` bigint(20) unsigned NOT NULL default '0',
  `sitesID` bigint(20) unsigned NOT NULL default '0',
  `summaryTime` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `date_ip_usersID_sitesID_summaryTime` (`date`,`ip`,`usersID`,`sitesID`,`summaryTime`)
) TYPE=MyISAM;

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `authuser` varchar(20) NOT NULL default '',
  `date` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `date_authuser` (`date`,`authuser`),
  KEY `authuser` (`authuser`)
) TYPE=MyISAM;
